Bug 215 - rpm --nodeps -e doesn\'t work
Summary: rpm --nodeps -e doesn\'t work
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: apt (show other bugs)
Version: unstable
Hardware: all Linux
: P4 blocker
Assignee: Gleb F-Malinovskiy
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-12-09 00:30 MSK by imz
Modified: 2003-08-25 15:18 MSD (History)
5 users (show)

See Also:


Attachments
0000215-apt.trace (deleted)
2001-12-09 00:30 MSK, imz
no flags Details
0000215-apt.out (deleted)
2001-12-09 00:31 MSK, imz
no flags Details
0000215-apt.cmdline (deleted)
2001-12-09 00:31 MSK, imz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description imz 2001-12-09 00:30:44 MSK
rpm --nodeps -e doesn\'t ignore the dependencies, while 
rpm -e --nodeps does ignore them.

I observed this trying to remove openmotif-2.1.30-ipl7mdk; more exact: apt failed becuase it used the first bad order of options. (apt-0.3.19cnc53-alt5)

This is extremely bad because APT uses the bad order.
---
rpm -Uhv /user/ALT/Sisyphus/i586/Mandrake/RPMS/openmotif-2.1.30-ipl7mdk.i586.rpm /user/ALTLinux/Spring2001-2/i586/Mandrake/RPMS/ddd-3.3-ipl1mdk.i586.rpm --oldpackage /user/ALTLinux/Spring2001-2/i586/Mandrake/RPMS/nedit-5.1.1-ipl12mdk.i586.rpm

rpm --nodeps -e openmotif
rpm -e --nodeps openmotif
---

Comment 1 Dmitry V. Levin 2001-12-10 16:49:49 MSK
Fixing RPM is problematic.
APT will be fixed in apt >= 0.3.19cnc53-alt6
Comment 2 Dmitry V. Levin 2001-12-10 16:49:49 MSK
Fixing RPM is problematic.
APT will be fixed in apt >= 0.3.19cnc53-alt6
Comment 3 Dmitry V. Levin 2001-12-10 17:01:43 MSK
Fixed in apt-0.3.19cnc53-alt6
Comment 4 Dmitry V. Levin 2001-12-10 17:01:43 MSK
Fixed in apt-0.3.19cnc53-alt6